> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get E-Way Bills By Date

> Consignee can easily fetch E-Way Bills by generated date.



## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/consignee/bills
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-way-bill/consignee/bills:
    get:
      tags:
        - E-Way Bill1
        - Consignee
      summary: Get E-Way Bills By Date
      operationId: getEWayBillsByDate1
      parameters:
        - name: generated_date
          in: query
          description: E-Way bill generated date
          required: true
          schema:
            type: string
            example: 18/09/2024
        - name: authorization
          in: header
          description: >-
            E-Way Bill access token. For token-generation steps, refer to the
            [Generate E-Way Bill
            Session](/recipes/gst/authentication/generate_e_way_bill_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: >-
            200 EWBs fetched / 325 Data not found / 366 Today's EWB cannot be
            fetched
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            docDate:
                              type: string
                              example: 01/05/2024
                            docNo:
                              type: string
                              example: 7001-20
                            ewayBillDate:
                              type: string
                              example: 03/05/2024 01:11:00 PM
                            ewbNo:
                              type: number
                              example: 261010077217
                            fromGstin:
                              type: string
                              example: 27AAACQ3770E004
                            fromTradeName:
                              type: string
                              example: welton
                            genGstin:
                              type: string
                              example: 27AAACQ3770E004
                            genMode:
                              type: string
                              example: API
                            hsnCode:
                              type: number
                              example: 1001
                            hsnDesc:
                              type: string
                              example: Wheat
                            rejectStatus:
                              type: string
                              example: 'N'
                            status:
                              type: string
                              example: ACT
                            toGstin:
                              type: string
                              example: 24AAACQ3770E003
                            toTradeName:
                              type: string
                              example: sthuthya
                            totInvValue:
                              type: number
                              example: 59464.94
                        example:
                          - docDate: 01/05/2024
                            docNo: 7001-20
                            ewayBillDate: 03/05/2024 01:11:00 PM
                            ewbNo: 261010077217
                            fromGstin: 27AAACQ3770E004
                            fromTradeName: welton
                            genGstin: 27AAACQ3770E004
                            genMode: API
                            hsnCode: 1001
                            hsnDesc: Wheat
                            rejectStatus: 'N'
                            status: ACT
                            toGstin: 24AAACQ3770E003
                            toTradeName: sthuthya
                            totInvValue: 59464.94
                      error:
                        type: object
                        properties:
                          errorCodes:
                            type: string
                            example: '325'
                      info:
                        type: string
                        example: ''
                      status:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 415f2cb7-73e0-4c9d-b603-ea8f2e1cee2d
              examples:
                200 EWBs fetched:
                  summary: 200 EWBs fetched
                  value:
                    code: 200
                    data:
                      data:
                        - docDate: 01/05/2024
                          docNo: 7001-20
                          ewayBillDate: 03/05/2024 01:11:00 PM
                          ewbNo: 261010077217
                          fromGstin: 27AAACQ3770E004
                          fromTradeName: welton
                          genGstin: 27AAACQ3770E004
                          genMode: API
                          hsnCode: 1001
                          hsnDesc: Wheat
                          rejectStatus: 'N'
                          status: ACT
                          toGstin: 24AAACQ3770E003
                          toTradeName: sthuthya
                          totInvValue: 59464.94
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: 415f2cb7-73e0-4c9d-b603-ea8f2e1cee2d
                325 Data not found:
                  summary: 325 Data not found
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '325'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: e5568759-7d3a-4dda-ba13-0c277e9b757e
                366 Today's EWB cannot be fetched:
                  summary: 366 Today's EWB cannot be fetched
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '366'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 4fa871d9-5575-46e4-9af6-4a9e9a170992
          headers: {}
      deprecated: false
      security: []

````